Subject: Re: 'git stash push' isn't atomic when Ctrl-C is pressed

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Jan 2022 15:15:54 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I understood this problem as being one where we do the ref work first,
> which we could start a transaction for, the user then ctrl+c's after the
> ref work is done, but before the working tree is updated.

If the process is killed while the working tree is half updated,
nothing you do with ref transaction will help.

>> I suspect that the untold thinking behind your statement was that we
>> should try not to discourage new users from asking, and I agree with
>> the sentiment to a certain degree.  But at the same time, I think it
>> is simply irresponsible to do so without distinguising between
>> asking for something realistic and unrealistic.
>
> I must admit I'm not deeply familiar with builtin/stash.c in particular,

Then you can try to be on the conservative side, perhaps, to avoid
misleading less experienced folks next time?  Thanks.